#!/usr/bin/env python

from setuptools import setup

with open('README.md') as f:
      long_description = f.read()

setup(name="pipelinewise-target-redshift",
      version="1.1.0",
      description="Singer.io target for loading data to Amazon Redshift - PipelineWise compatible",
      long_description=long_description,
      long_description_content_type='text/markdown',
      author="TransferWise",
      url='https://github.com/transferwise/pipelinewise-target-redshift',
      classifiers=[
          'License :: OSI Approved :: Apache Software License',
          'Programming Language :: Python :: 3 :: Only'
      ],
      py_modules=["target_redshift"],
      install_requires=[
          'singer-python==5.7.0',
          'boto3==1.9.188',
          'psycopg2==2.7.7',
          'inflection==0.3.1',
          'joblib==0.13.2'
      ],
      extras_require={
          "test": [
                "pylint==2.4.2",
                "pytest==5.3.0",
                "mock==3.0.5",
                "coverage==4.5.4"
            ]
      },
      entry_points="""
          [console_scripts]
          target-redshift=target_redshift:main
      """,
      packages=["target_redshift"],
      package_data = {},
      include_package_data=True,
)
